<?php 
use_helper('UrlFunctions'); 
use_helper('UtilFunctions'); 

$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdSucursal($Idsucursal);




$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();

$fecha = date("Y-m-d");
//if($fechaBalanceAbierto != $fecha) exit("No se puede hacer esta operacion.");
if(myUser::getUser()->getRoleId() != "sys.gen" && myUser::getUser()->getRoleId() != "sys.view") exit("No se puede hacer esta operacion.");
//print_r($a_valorFN_B);

?>

<?php
//echo myUser::getUser()->getRoleId();
//error_reporting(E_ALL);
//ini_set('display_errors','On'); //PARA PRODUCCION "Off"


//print_r($a_o_ArArqueoDetalleProductoBN);



print_r($o_ArArqueoCabeceraBN);

if(isset($control)){
  	$o_ArArqueoCabeceraFN = new ArArqueoCabeceraFN();
	$o_ArArqueoCabeceraFN->setIdclase($idClase);
	$o_ArArqueoCabeceraFN->setIdsucursal($Idsucursal);
	$o_ArArqueoCabeceraFN->setIdmercado($Idmercado);
	$o_ArArqueoCabeceraFN->setIdcolaborador($Idcolaborador);
	$o_ArArqueoCabeceraFN->setFecha($fechaBalanceAbierto);
	$o_ArArqueoCabeceraBN = $o_ArArqueoCabeceraFN->selectByPK();
  
  if(is_object($o_ArArqueoCabeceraBN)){
  	
  	$o_ArArqueoCabeceraDP = new ArArqueoCabeceraDP();
	$o_ArArqueoCabeceraDP->setIdclase($o_ArArqueoCabeceraBN->getIdclase());
	$o_ArArqueoCabeceraDP->setIdsucursal($o_ArArqueoCabeceraBN->getIdsucursal());
	$o_ArArqueoCabeceraDP->setIdmercado($o_ArArqueoCabeceraBN->getIdmercado());
	$o_ArArqueoCabeceraDP->setIdcolaborador($o_ArArqueoCabeceraBN->getIdcolaborador());
	$o_ArArqueoCabeceraDP->setFecha($o_ArArqueoCabeceraBN->getFecha());
	$o_ArArqueoCabeceraDP->setTotal($o_ArArqueoCabeceraBN->getTotal());
	$o_ArArqueoCabeceraDP->setDescripcionsucursal($o_ArArqueoCabeceraBN->getDescripcionsucursal());
	$o_ArArqueoCabeceraDP->setDescripcionmercado($o_ArArqueoCabeceraBN->getDescripcionmercado());
	$o_ArArqueoCabeceraDP->setDescripcioncolaborador($o_ArArqueoCabeceraBN->getDescripcioncolaborador());
	$o_ArArqueoCabeceraDP->setEstado($o_ArArqueoCabeceraBN->getEstado());
	$o_ArArqueoCabeceraDP->setFechacierre($o_ArArqueoCabeceraBN->getFechacierre());
	$o_ArArqueoCabeceraDP->setFecharegistro($o_ArArqueoCabeceraBN->getFecharegistro());
	$o_ArArqueoCabeceraDP->setUsuarioregistro($o_ArArqueoCabeceraBN->getUsuarioregistro());
	$o_ArArqueoCabeceraDP->setUsuariomodificacion($o_ArArqueoCabeceraBN->getUsuariomodificacion());
	$o_ArArqueoCabeceraDP->setFechamodificacion($o_ArArqueoCabeceraBN->getFechamodificacion());
	
	$o_ArArqueoCabeceraDP->savelog();
	
	$o_ArArqueoCabeceraDP = new ArArqueoCabeceraDP();
	$o_ArArqueoCabeceraDP->setIdclase($idClase);
	$o_ArArqueoCabeceraDP->setIdsucursal($Idsucursal);
	$o_ArArqueoCabeceraDP->setIdmercado($Idmercado);
	$o_ArArqueoCabeceraDP->setIdcolaborador($Idcolaborador);
	$o_ArArqueoCabeceraDP->setFecha($fechaBalanceAbierto);
	$o_ArArqueoCabeceraDP->setEstado("P");
	$o_ArArqueoCabeceraDP->setFechamodificacion(date("Y-m-d H:i:s"));
	$o_ArArqueoCabeceraDP->setUsuariomodificacion(myUser::getUser()->getIdColaborador());
	$bResult = $o_ArArqueoCabeceraDP->update();
	
	
	
  	
  }else{
  	 ?>
    <script language="JavaScript">
     		//parent.objMainTab.reqBody('<?=buildUrl('arqueo/addProducto')?>','&insert=1');
     		 parent.buscarahora();
    		 parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }
  
  if($bResult)
    {
        if( $typeSubmit == "next" )
        {
            ?>
            <script language="JavaScript">
            	parent.buscarahora();
    		 	parent.objMainTab.windowsCloseAll();
            </script>
            <?
        }
        else 
        {
            ?>
            <script language="JavaScript">
           		parent.buscarahora();
    		 	parent.objMainTab.windowsCloseAll();
            </script>
            <?
        }
    }
    else
    {
        //$url = buildUrl('cli/add', "block=".$block."&error=1");
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong>Error en actualizar el cliente.</p></div></div>';
    }
}


//if(is_array($a_ObjectBean)){
if(1){
  //while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	
  	
	
?>
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
	
	<tr>
		<td valign="top">
			 <form id="form1" name="form1" method="POST">
				<input type="hidden" name="control" value="1">
			  
                        <?php
                       
                        ?>
			  
			  
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap">
                                    									
									<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<tr>
										  <td class="titleBody"><li>&nbsp;&nbsp;Apertura de ingreso de Pagos</li></td>
										</tr>
									</table>
									
									
                                	
                                </td>
                            </tr>
                        </table>
                        
                        
                        
                        
				<table hspace="2px" width="96%" cellpadding="0" cellspacing="0">
					<tr>
						<td valign="top" colspan="2">
                            
                            <table style="pad">
                            </table>
					
								<table width="100%" border="0" cellpadding="0" cellspacing="0" style="background: #fff">
									<tr>
										<td height="0" width="100%">
										   

											   <table width="100%" border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td><img src="/images/common/spacer.gif" width="10"></td>
													</tr>
													<tr>
													    <td align="center">
															<input type="hidden" name="typeSubmit" id="typeSubmit">
															<input class="button" type="submit" value="Aceptar" name="aceptar">
															<!--<input class="button" type="button" value="Siguiente" onclick="location.href='<?php echo buildUrl('cli/datEval', $s_Param) ?>'"/>-->
															<input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll()"/>
													    </td>
													</tr>
													<tr>
														<td height="10">&nbsp;</td>
													</tr>
												</table>
											
										</td>
									</tr>
								</table>							
								
						</td>
					</tr>
				</table> 
			</form>
				
		</td>
	</tr>
</table>


<?php
  //}
}
?>
<script>
	//loadProvincias('cboProvincia','<?=$idDpto?>','<?=$idProv?>');
	//loadDistritos('cboDisitrio','<?=$idProv?>','<?=$idDist?>');
</script>

